package Global

_t17_ {
The downloads available from the <a href="_httppagex_(download)">download</a> page
are hosted by <a href="http://sourceforge.net">Sourceforge</a>.
}


#######################################################################

package home

_t1_ {About Greenstone}

_t2_ {
Greenstone is a suite of software for building and distributing digital
library collections. It provides a new way of organizing information and
publishing it on the Internet or on CD-ROM.  Greenstone is produced by the
<b>New Zealand Digital Library Project</b> at the <b>University of
Waikato</b>, and developed and distributed in cooperation with
<b>UNESCO</b> and the <b>Human Info NGO</b>.  It is <b>open-source,
multilingual</b> software, issued under the terms of the GNU General Public
License.
}

_namur_{
The Greenstone project is the seventh recipient of the biennial
<a href="http://www.info.fundp.ac.be/~jbl/IFIP/award.html">Namur award</a>, which
recognizes recipients for raising awareness internationally of the social
implications of information and communication technologies.
}

_t3_ {
UNESCO is running regional training workshops on the use of Greenstone.
In 2003 they were in
<a href="_httppagex_(report)">Bangalore, India</a> in August; Dakar,
Senegal in September, and <a href="_httppagex_(reportSuva)">Suva, Fiji</a> in November.
<a href="http://sourceforge.net/project/showfiles.php?group_id=12123&release_id=202808">Here</a> is a package of all material that we prepared for the Suva workshop: lectures, labs, documents, test files, etc.  It focuses on building collections with the Librarian Interface.
Please feel free to use it for learning -- or teaching! -- Greenstone.
}

_t4_ {
<a
href="http://sourceforge.net/projects/greenstone/">Download</a> Greenstone v2.41.
The Greenstone Librarian Interface (GLI),
an easy-to-use frontend to Greenstone's collection-building
functionality, has been extensively user tested and debugged. 
If you haven't already tried it, now is a great
time to do so (and if you ran into problems before, please try this new version).
Greenstone 2.41 also includes a new plugin for processing CDS/ISIS databases, the ability to export multiple collections to
CD-ROM, and many other bug fixes and improvements.
}

_t5_ {
One of the trickier parts of using Greenstone is coming up with a
configuration file for your collection. To help learn how to do it,
several fully-documented example collections have been placed at <a
href="http://nzdl.org">nzdl.org</a> which explain, on the collection home page, just how they have been put together.
}

_t6_ {
The complete Greenstone interface, and all documentation, is available in
<b>English</b>, <b>French</b>, <b>Spanish</b>, <b>Russian</b> and
<b>Kazakh</b>.  Greenstone also has interfaces in many <a
href="_httppagex_(intn)">other languages</a>.  We are looking for <a
href="_httppagex_(intn)#maintainers">volunteers</a> to add new language
interfaces and help maintain existing ones.
}

_t7_ {
The aim of the software is to empower users, particularly in universities,
libraries, and other public service institutions, to build their own
digital libraries.  Digital libraries are radically reforming how
information is disseminated and acquired in UNESCO's partner communities
and institutions in the fields of education, science and culture around the
world, and particularly in developing countries.  We hope that this
software will encourage the effective deployment of digital libraries to
share information and place it in the public domain.  Further information
can be found in the book <a href="http://www.nzdl.org/howto">How to build a
digital library</a>, authored by two of the the group's project members.
}

_t8_ {
Also, the collect.cfg files for many of the collections at <a
href="http://www.nzdl.org">www.nzdl.org</a> have been made available <a
href="_httppagex_(colcfg)">here</a>.
}

_t9_ {
This software is developed and distributed as an international cooperative
effort established in August 2000 among three parties.
}

_t10_ {
New Zealand Digital Library Project at the University of Waikato
}

_t11_ {
Greenstone software grew out of this project, and this initiative has been
endorsed by the Communication Sub-Commission of the New Zealand National
Commission for UNESCO as part of New Zealand's contribution to UNESCO's
programme.
}

_t12_ {
United Nations Educational, Scientific and Cultural Organization
}

_t13_ {
The dissemination of educational, scientific and cultural information
throughout the world, and particularly its availability in developing
countries, is central to UNESCO's goals as pursued within its
intergovernmental Information for All Programme, and appropriate,
accessible information and communication technology is seen as an important
tool in this context.
}

_t14_ {
The Human Info NGO, based in Antwerp, Belgium
}

_t15_ {
This project works with UN agencies and other NGOs, and has established a
worldwide reputation for digitizing documentation of interest to human
development and making it widely available, free of charge to developing
nations and on a cost-recovery basis to others.
}

_t16_ {
If you download Greenstone and install it with standard demonstration
collections, or if you install it from the Greenstone CD-ROM, it will look
exactly like <a
href="http://www.nzdl.org/cgi-bin/democols/library">this</a>.
}


#######################################################################

package download

_t18_ {Download Greenstone}

_t19_ {
Greenstone is open-source software, distributed under the terms of the <a
href="http://www.gnu.org/copyleft/gpl.html">GNU General Public
License</a>. It runs on Windows and Unix, and both source code and binaries
are available for download. It is fully documented in English, French,
Spanish and Russian.
}

_t20_ {
Select the Greenstone distribution you require from the list below. Each
distribution provides a complete interface in English, French, Spanish and
Russian.
}

_t21_ {
Each distribution also includes the &quot;Greenstone Librarian
Interface&quot;, a graphical tool for building digital libraries. It gives
you access to Greenstone's functionality from an easy-to-use 'point and
click' interface. To use this tool you will need a suitable Java Run-time
Environment, which you can download from <a
href="http://java.sun.com/j2se/1.4.1/download.html">here</a> (choose the
JRE, not the SDK).
}

_t22_ {Windows distribution}

_t23_ {
This is the distribution you want if you're going to run Greenstone under
any 32 bit Windows environment (that is, Windows 95/98/Me/NT/2000/XP etc.).
}

_t24_ {
Note that Greenstone will also run on 16 bit Windows (that is, Windows
3.1/3.11). The installer program used by this distribution will not work on
these versions of Windows however. Please <a
href="_httppagex_(support)">contact us</a> if you need a version of
Greenstone for 16 bit Windows.
}

_t25_ {
Using this distribution you may either install the &quot;local
library&quot;, the &quot;web library&quot;, or install and compile the
source code (click <a href="_httppagex_(faq-installing)#1">here</a> for a
description of the differences between the &quot;local library&quot; and
the &quot;web library&quot;). You will be asked which form of Greenstone
you want during the installation process.
}

_t26_ {
This distribution includes everything you need to run Greenstone (including
a pre-built demonstration collection) and to build new Greenstone
collections. Some functionality is not included however, mostly in an
attempt to keep the distribution as small as possible. See <a
href="#packages">below</a> for details on how to get this missing
functionality.
}

_t27_ {
This distribution uses a standard Windows installer program, simply
download the file and double-click it to install (see the <a
href="_httpguide_(Install,en)">Installer's Guide</a> for more detailed
installation instructions).
}

_t28_ {Unix distribution}

_t29_ {
This is the recommended distribution if you're installing Greenstone on any
form of Unix.
}

_t30_ {
This distribution comes with statically linked linux binaries. However, it
also contains the Greenstone source code for compiling on other forms of
Unix (or on linux if you prefer not to use the provided binaries).
}

_t31_ {
This distribution includes everything you need to run Greenstone (including
a pre-built demonstration collection) and to build new Greenstone
collections. Some functionality is not included however, mostly in an
attempt to keep the distribution as small as possible. See <a
href="#packages">below</a> for details on how to get this missing
functionality.
}

_t32_ {
To install this distribution, extract the gzipped tar archive and run the
<i>Install.sh</i> shell script from within the <i>gsdl-X.XX-unix/Unix</i>
directory (see the <a href="_httpguide_(Install,en)">Installer's Guide</a> for
more detailed installation instructions).
}

_t33_ {Mac OS X distribution}

_t34_ {
This distribution contains dynamically linked binaries for Mac OS X running
on PowerPC platforms.
}

_t35_ {
This distribution has been tested on Mac OS X 10.2.6.  It includes the
pre-built binaries and also includes the demonstration collection,
unbuilt. This is the first distribution for the Mac that includes the
Greenstone Librarian Interface for building collections.
}

_t36_ {Source only distribution}

_t37_ {
This distribution contains the Greenstone source code along with the same
demonstration collection as the distributions above (although the
collection is not pre-built in this distribution).
}

_t38_ {
This distribution does not have an automated installation proceedure
(running <i>Install.sh</i> will not work). Unless you're sure you know what
you're doing you probably want one of the distributions above, both of
which also contain the Greenstone source. Note that you can obtain an
up-to-date version of the Greenstone source code at any time by using <a
href="_httppagex_(cvs)">cvs</a>.
}

_t39_ {
The following extra packages may be downloaded and installed along with an
existing Greenstone installation to add functionality that was left out of
the distributions above.
}

_t40_ {Export to CD-ROM package}

_t41_ {
This package enables the &quot;export to CD-ROM&quot; function from within
Greenstone's Collector.
}

_t42_ {
To install, simply download the file (it will work on both Windows and Unix
and any version of Greenstone above 2.34) and extract the zip archive into
the gsdl\\bin\\windows directory of your existing Greenstone installation.
}

_t43_ {
The following utilities have been developed to be used along with
Greenstone.
}

_t44_ {The Organizer}

_t45_ {
The Organizer is a Windows application useful for automatically generating
many of the configuration files (metadata.xml, sub.txt etc.)  required by
complex Greenstone collections.
}

_t46_ {
To install, simply download and double-click the self-extracting executable
file.
}


#######################################################################

package examples

_t47_ {Examples of Greenstone in Action}

_t48_ {New Zealand Digital Library Project}

_t49_ {
A demonstration site set up by the developers of Greenstone, the New
Zealand Digital Library Project. This site contains many collections,
ranging from humanitarian information to computer science technical reports
to demonstration collections of Chinese and Arabic documents.
}

_t50_ {Russian Greenstone Library}

_t51_ {
A Greenstone site containing several collections in the Russian
language. This site was set up by a regional government department in the
Mari El Republic of the Russian Federation.
}

_t52_ {Project Gutenberg}

_t53_ {
An on-going project to produce and distribute free electronic editions of
literature, Project Gutenberg now contains more than 3,700 titles from
Shakespeare to Dickens to the Bronte sisters. This site, maintained by
Ibiblio, one of the original Gutenberg mirror sites, uses Greenstone to
make the entire Gutenberg collection available in a fully searchable form.
}

_t54_ {University of Applied Sciences, Stuttgart}

_t55_ {
Hochschule der Medien - an &quot;Information and Media&quot; digital
library created by the University of Applied Sciences, Stuttgart, Germany.
}

_t56_ {Gresham College Archive}

_t57_ {
A digital library created at Gresham College, London, England.
}

_t58_ {Center for the Study of Digital Libraries}

_t59_ {
Texas A&M University - A digital libraries research site containing
prototypical Greenstone collections with an emphasis on Digital Floras.
}

_t60_ {Peking University Digital Library}

_t61_ {
Two experimental collections created at Peking University.
}

_t62_ {Music Information Retrieval Research}

_t63_ {
Virtual home of music information retrieval research.
}

_t64_ {Photograph Album}

_t65_ {
A collection of photographs taken by <a
href="mailto:gordon.paynter@ucr.edu">Gordon Paynter</a>.
}

_t66_ {Washington Research Library Consortium Special Collections}

_t67_ {
Digital material from the special collections of the eight universities of
WRLC in Washington, D.C., USA.
}

_t68_ {Archives of Indian Labour}

_t69_ {
A collaborative project between the V.V. Giri National Labour Institute and
the Association of Indian Labour Historians. The Archives of Indian Labour
are dedicated to preserving and making accessible the fast depleting
documents on the Indian working class.
}

_t70_ {NCSI Demonstration Collections}

_t71_ {
Demonstration collections created by students and staff at the National
Centre for Science Information, Indian Institute of Science, Bangalore,
India. Many of these collections include content in Kannada and Hindi.
}

_t72_ {New York Botanical Garden}

_t73_ {
The rare book digitization project of the LuEsther T. Mertz Library of the
New York Botanical Garden.
}

_t74_ {Lehigh University Digital Bridges Collection}

_t75_ {
A collection containing thirty books about bridges, all of which were
published between 1811 and 1899. The collection was created at Lehigh
University, Pennsylvania and features a heavily customized user interface.
}

_t76_ {Chopin Early Editions}

_t77_ {
A collection of digital images of early printed editions of musical
compositions by Fr&eacute;d&eacute;ric Chopin. This collection was created
by the University of Chicago Library and, once completed, will include its
entire collection of over 400 Chopin early editions. The greenstone
collection configuration file for this collection has also been made
available and can be downloaded <a
href="http://chopin.lib.uchicago.edu/gsdl/collect/chopin/etc/collect.cfg">here</a>.
}

_t78_ {Slavonski Brod Public Library}

_t79_ {
The pilot project of digitization of local studies collection in Slavonski
Brod Public Library, Croatia.
}

_ex1t_ {Mirabilia Vicomercati}

_ex1d_ {
Mirabilia Vicomercati is an on-going project managed by Vimercate Public Library (Milan, Italy), aimed at the digitization of local history primary sources. Several collections will be provided - photographs, postcards, maps, text, reference, multimedia - in order to make accessible, promote and preserve the historical memory of Vimercate and its territory.
}

_ex2t_ {Illinois Wesleyan University Argus Digital Collection}

_ex2d_ {
<table border="0" cellpadding="0" cellspacing="0" class="ex_d">
<td>
Illinois Wesleyan University's newspaper The Argus has been published under student supervision continuously since 1894. This digital collection is part of an on-going project to preserve and provide access to Argus volumes published from 1894-2000.
</td>
<td><img src="../images/new.gif"/></td>
</table>
}

_ex3t_ {Human Rights in Argentina}

_ex3d_ {
<table border="0" cellpadding="0" cellspacing="0" class="ex_d">
<td>
This site contains documents, photos and books covering files of children kidnapped during the 1976-1983 dictatorship, leglislation on identity, jurisprudence-related information, and many other items. It was created by the Secretary of Human Rights of Argentina under the Comisi&oacute;n Nacional por el Derecho a la Identidad (CONADI), which is a National Commission that fights for the right that a person has for knowing his or her identity -- particularly when their parents have disappeared.
</td>
<td><img src="../images/new.gif"/></td>
</table>
}

_ex4t_ {Auburn University Libraries Digital Library}

_ex4d_ {
<table border="0" cellpadding="0" cellspacing="0" class="ex_d">
<td>
This site contains two Greenstone collections. <a href="http://diglib.auburn.edu/gsdl/cgi-bin/library?site=localhost&a=p&p=about&c=postcard">Alabama Postcards</a> has over 300 postcards depicting buildings, natural settings, events and other scenes in various Alabama cities and towns in the early 20th century. These images are categorized by place as well as by title. <a href="http://diglib.auburn.edu/gsdl/cgi-bin/library?site=localhost&a=p&p=about&c=alauths">Alabama Authors</a> gives information about 20th Century Alabama Authors which is maintained and updated by the Alabama Library Association. This collection began life as a printed document created in WordPerfect 5.2 and has been through several iterations before becoming fully searchable under Greenstone.
</td>
<td><img src="../images/new.gif"/></td>
</table>
}

_ex5t_ {State Library of Tasmania Sheet Music Collection}

_ex5d_ {
<table border="0" cellpadding="0" cellspacing="0" class="ex_d">
<td>
This site makes available about two hundred items from the rich holdings of printed music in the State Library of Tasmania's Heritage Collections. They range from the 1840s to the 1930s and include pieces for piano and other instruments, brass band arrangements and songs of all sorts - popular, sacred, patriotic, and even songs written to encourage tourists to come to Tasmania.
<!-- Most of the pieces are Tasmanian, but they also include a few written and published in Melbourne and Sydney. More than a third of them are by one composer, the extraordinary Frederick Augustus Packer (1839-1902) teacher, Hobart City Organist and the dominant figure in nineteenth-century Tasmanian musical life.--></td>
<td><img src="../images/new.gif"/></td>
</table>
}


#######################################################################

package docs

_t80_ {Greenstone Documentation}

_t81_ {Manuals}

_t82_ {
The following Greenstone manuals are available in PDF format for
download. They're available in English, Spanish, French, Russian and
Kazakh.
}

_installersguide_ {Installer's Guide}

_t83_ {english}

_t84_ {spanish}

_t85_ {french}

_t86_ {russian}

_t87_ {kazakh}

_t88_ {
Describes in detail the Greenstone installation process. Note that the
<i>Installer's Guide</i> assumes that Greenstone is being installed from a
CD-ROM distribution. The instructions should be adapted in the obvious way
when installing from a web download.
}

_usersguide_ {User's Guide}

_t90_ {
General details on using Greenstone collections, the Collector web
interface for building new collections, and Greenstone's administrative
facilities.
}

_t92_ {sorry, no kazakh}

_developersguide_ {Developer's Guide}

_t94_ {
A more detailed description of Greenstone's collection building process,
including building collections from the command line or DOS prompt. Also a
description of the structure of the Greenstone runtime system.
}

_t95_ {From Paper to Collection}

_t96_ {
A document describing the entire process of creating a digital library
collection from paper documents. This includes the scanning and OCR process
and the use of the &quot;Organizer&quot;.
}

_t97_ {Inside Greenstone Collections}

_t98_ {english(HTML)}

_t99_ {english(PDF)}

_t100_ {
One of the trickier parts of using Greenstone is coming up with a
configuration file for your collection. To help learn how to do it, this
document presents, and explains, the configuration files for a few actual
Greenstone collections, and also gives an example of how Greenstone's
appearance can be customized. (Note, this document is intended to be used
with Greenstone version 2.40 and higher.)
}

_t101_ {MG/MG++}

_t102_ {
For information about the underlying indexing and retrieval systems used by
Greenstone, please go <a href="http://www.nzdl.org/html/mg.html">here</a>
for MG, or download the <a href="_httpdocsdir_/mgpp_user.pdf">MGPP user
guide</a>.
}

_t103_ {Mailing Lists}

_t104_ {
There are two mailing lists intended primarily for discussions about the
Greenstone digital library software. Active users of Greenstone should
consider joining one or both of these lists and contributing to the
discussions.
}

_t105_ {Greenstone User's List}

_t106_ {
This list is for general Greenstone discussions. To send a message to this
list, address it to <a
href="mailto:greenstone-users@list.scms.waikato.ac.nz">greenstone-users@list.scms.waikato.ac.nz</a>. There
is an archive of previous messages to this list at <a
href="http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=gsarch">www.nzdl.org</a>.
}

_t107_ {Greenstone Developer's List}

_t108_ {
This list is for more technical discussions by people developing or
modifying Greenstone. To send a message to this list, address it to <a
href="mailto:greenstone-devel@list.scms.waikato.ac.nz">greenstone-devel@list.scms.waikato.ac.nz</a>.
}

_t369_ {User Supplied Documentation}

_t370_ {Customizing the Greenstone User Interface}

_t371_ {
An illustrated guide to customizing the Greenstone user interface. Written
by Allison Zhang of the Washington Research Library Consortium
}

#######################################################################

package support

_t109_ {Greenstone Support}

_t110_ {
Before asking for help, please read the <a
href="_httppagex_(faq)">frequently asked questions</a> list.
}

_t111_ {
For Greenstone technical support please consider joining one of the <a
href="_httppagex_(docs)#mailing-lists">Greenstone mailing lists</a>.
}

_t112_ {
Alternatively, fill in the form below and click the &quot;submit&quot;
button to submit a query to the Greenstone support staff. Please fill in
the form as fully as possible to aid our staff in giving the best possible
service.
}

_t113_ {PERSONAL INFORMATION}

_t114_ {Name}

_t115_ {E-mail address}

_t116_ {SYSTEM INFORMATION}

_t117_ {Operating System}

_t118_ {Windows 95}

_t119_ {Windows 98}

_t120_ {Windows ME}

_t121_ {Windows NT 4}

_t122_ {Windows 2000}

_t123_ {Windows XP}

_t124_ {Windows 3.11}

_t125_ {Windows 3.1}

_t126_ {Linux}

_t127_ {Other (please specify below)}

_t128_ {Other OS}

_t129_ {CPU (type and speed)}

_t130_ {Memory (RAM) in MB}

_t131_ {Web browser}

_t132_ {Netscape 4}

_t133_ {Netscape 4.5}

_t134_ {Netscape 6}

_t135_ {Mozilla}

_t136_ {Internet Explorer 4}

_t137_ {Internet Explorer 5}

_t138_ {Internet Explorer 6}

_t139_ {Other web browser}

_t140_ {Was your browser provided by your internet service provider?}

_t141_ {no}

_t142_ {yes}

_t143_ {don't know}

_t144_ {Is your browser configured to use a proxy?}

_t145_ {Web server}

_t146_ {not applicable}

_t147_ {Apache 1.3}

_t148_ {Apache 2.0}

_t149_ {Microsoft IIS 4.0}

_t150_ {Microsoft IIS 5.0}

_t151_ {Microsoft PWS}

_t152_ {Other server}

_t153_ {GREENSTONE INFORMATION}

_t154_ {Version}

_t155_ {CD-ROM distribution}

_t156_ {Installation type}

_t157_ {local library}

_t158_ {web library}

_t159_ {PROBLEM DESCRIPTION}

_t160_ {Problem type}

_t161_ {question}

_t162_ {problem/error}

_t163_ {suggested enhancement}

_t164_ {other}

_t165_ {Can the problem be reproduced at will?}

_t166_ {Short description}

_t167_ {Long description}

_t168_ {
(If you are reporting a problem, please go into as much detail as possible.
Make sure you describe all steps leading up to the problem and include any
relevant URLs.)
}


#######################################################################

package faq

_greenstonefaq_ {Greenstone FAQ}

_headinggeneral_ {General Information}

_t171_ {What is Greenstone?}

_t172_ {How is Greenstone licensed?}

_t173_ {What platforms will Greenstone run on?}

_t174_ {Are there any mailing lists concerned with Greenstone?}

_t175_ {Are the mailing lists archived anywhere?}

_t176_ {How do I contribute to Greenstone?}

_headingobtaining_ {Obtaining Greenstone}

_t178_ {Where do I get Greenstone from?}

_t179_ {Are there binary distributions of Greenstone available?}

_t180_ {Is Greenstone available on CD-ROM?}

_t181_ {Is the Greenstone source code available via CVS?}

_headinginstalling_ {Installing Greenstone}

_t183_ {How do I compile Greenstone from a source or CVS distribution?}

_t184_ {What is the difference between Greenstone's <i>local library</i> and <i>web library</i>?}

_headingrunning_ {Running Greenstone}

_t186_ {OK, I've installed Greenstone. Now how do I make it go?}

_t187_ {What web browser do I need to view Greenstone collections?}

_t188_ {When I start the Windows local library there are two buttons in the
dialog box, &quot;Enter Library&quot; and &quot;Restricted
Version&quot;. They both seem to do the same thing, what's the difference?}

_t189_ {So when should I use the &quot;Restricted Version&quot; of the local library?}

_t190_ {When I start the Windows local library my computer asks me to dial
up my Internet Service Provider. Do I really need to be online to run
Greenstone?}

_t191_ {I'm trying to use the Windows local library. My web browser is
starting up as expected but the Greenstone home page never gets loaded or gives an error message. What's wrong?}

_t192_ {Where can I get more Greenstone collections?}

_t193_ {When I attempt to access certain parts of Greenstone I'm asked for
a username and password. What do I enter?}

_t194_ {When I use the <i>large query box</i> function I occassionally get
a <i>Not Found</i> error.}

_headingbuilding_ {Building Greenstone Collections}

_t196_ {What is &quot;the Collector&quot;?}

_t197_ {How do I build a collection from the command line or DOS prompt?}

_t198_ {I built a new Greenstone collection on my Windows
machine. Everything appeared to work fine while building, however when I
tried to view the collection some of the documents contained no
text. Sometimes Greenstone appeared to crash completely. What have I done
wrong?}

_t199_ {Why won't the Collector's &quot;export to CD-ROM&quot; function work?}

_t200_ {I'm trying to use the Collector on Windows 2000 but it's running
extremely slowly. Is this normal?}

_t201_ {What is &quot;the Organizer&quot;?}

_t202_ {Where do I get the Organizer?}

_t203_ {I'm attempting to build a collection with the collector but it
keeps failing with an error. What am I doing wrong?}

_t204_ {Where can I find some example collect.cfg configuration files?}

_t205_ {How can I build my collection using MGPP?}

_tfaqbuild11title_ {I've added a new type of classification to my collection. How do I create and add the navigation bar images?}

_headingplugins_ {More About Plugins}

_tfaqplugins1title_ {What metadata is available for each plugin?}

_tfaqplugins2title_ {I'm having problems with my PDF files! What's wrong?}

_t207_ {FAQ Main Page}

_t372_ {Show entire FAQ on a single page}

_t373_ {Show FAQ on multiple pages}

#######################################################################

package faqgen

_t208_ {
Greenstone is a suite of software which has the ability to serve digital
library collections and build new collections. It provides a new way of
organizing information and publishing it on the Internet or on CD-ROM.
}

_t209_ {
Greenstone is open-source software, distributed under the terms of the <a
href="http://www.gnu.org/copyleft/gpl.html">GNU General Public License</a>.
}

_t210_ {
Greenstone has been tested on Windows 3.1/3.11/95/98/Me/NT/2000, most
distributions of GNU/Linux, Darwin (Mac OS X), Solaris, and FreeBSD.  It
should in fact work on any Windows or Unix system. If you use a system
other than those mentioned and you find Greenstone doesn't run, please <a
href="_httppagex_(support)">contact</a> us.
<p>Please note that the downloadable Windows distribution of Greenstone
comes with an installer that will not work on 16 bit Windows. If you need
to use Greenstone on Windows 3.1/3.11 please <a
href="_httppagex_(support)">contact</a> us.</p>
}

_t211_ {
There are two Greenstone mailing lists. You can subscribe to them from the
<a href="_httppagex_(docs)#mailing-lists">documentation</a> page.
}

_t212_ {
The most popular mailing list (greenstone-users@list.scms.waikato.ac.nz) is
archived as a Greenstone collection at <a
href="http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=gsarch">www.nzdl.org</a>.
Note that this collection is updated only sporadically so may not always be
completely up to date.
}

_t213_ {
We welcome contributions or improvements to the Greenstone software!
<br />Before you send in any contribution, you first need to make sure that
your changes are compatible with the latest snapshop of the Greenstone
source code. To get the latest code you'll need to use CVS (see <a
href="_httppagex_(cvs)">here</a> for details). 
<br />You should then send the modified files, along with details of the
modifications you've made, to <a
href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>.

<p>Before beginning work, you should announce what you're doing on the <a
href="mailto:greenstone-devel@list.scms.waikato.ac.nz">greenstone developer's list</a>
to tell us what you plan to do and get some feedback.</p>
}


#######################################################################

package faqob

_t215_ {
From the greenstone.org <a href="_httppagex_(download)">download</a> page.
}

_t216_ {
Yes. At present there are binary distributions for 32 bit Windows, PowerPC
Mac OS X, and i386 linux. They can be downloaded from the <a
href="_httppagex_(download)">download</a> page.
}

_t217_ {
While some version 2.37 and 2.38 CD-ROMs have been produced they're not
currently being made widely available. You are encouraged to download the
latest release of Greenstone from the <a
href="_httppagex_(download)">download</a> page. If your internet connection
is such that downloading Greenstone isn't possible please <a
href="_httppagex_(support)">contact</a> us and we may be able to arrange
for a CD-ROM to be sent out.
}

_t218_ {
Yes, see our <a href="_httppagex_(cvs)">CVS page</a> for details.
}


#######################################################################

package faqinst

_t220_ {
See our <a href="_httpdocsdir_/compiling.html">compiling page</a>.
}

_t221_ {
Firstly, the <i>local library</i> is only available if you're running
Greenstone under Windows. It's not yet available on Unix.

<p>The major difference between the two is that the <i>local library</i>
contains it's own built-in webserver. The <i>web library</i> however,
requires an external webserver like Apache or Microsoft IIS. This makes the
<i>local library</i> much easier to install and configure than the web
library.</p>

<p>For this reason, it's recommended that Windows users install the
<i>local library</i> unless they're sure that they need the <i>web
library</i>. Even if you think you might need the <i>web library</i>, try
installing the <i>local library</i> first. You can always uninstall it
later and install the <i>web library</i> if you then decide you need
it.</p>

<p>A situation where the <i>web library</i> may be preferable is if you
plan to serve your Greenstone collections as a full-time service on the
web. In this case you'll probably want the added stability that running the
<i>web library</i> in conjunction with an external webserver can
provide.</p>

<p>Please note that the <i>local library</i> is quite capable of serving
Greenstone collections over a local area network or the web (despite its
rather misleading name).</p>
}


#######################################################################

package faqrun

_t223_ {
If you're using the Windows <i>local library</i> you should be able to
simply select &quot;Greenstone Digital Library&quot; from within the
programs in your <i>start</i> menu.

<p>If you're using the <i>web library</i> things are a little less obvious
however. First make sure your webserver is configured correctly and is
running (see the <a href="_httppagex_(docs)">Greenstone Installer's
Guide</a> and your webserver's documentation for details). You can then
simply open your web browser and point it at the URL of Greenstone's
library executable. This is dependant on the way you configured Greenstone
and your webserver. Typically it might be something like
http://localhost/gsdl/cgi-bin/library.exe.</p>
}

_t224_ {
Greenstone relies on a web browser that supports tables, javascript, and in
some places, frames. Any reasonably modern browser will do. Examples are
Microsoft Internet Explorer 4, Netscape 4, and Mozilla. Newer releases of
all these browsers will also work.

<p>If you find that your favourite web browser does not work with
Greenstone, please <a href="_httppagex_(support)">contact us</a>.</p>

<p>Note that there is an exception to the rule that any modern browser will
do when running Greenstone. That is when you're using the restricted
version of the Windows local library when you must use Netscape. See the
discussion below on the differences between the &quot;Restricted
Version&quot; and the standard &quot;Enter Library&quot; version of the
local library for details.</p>
}

_t225_ {
The webserver built into the local library uses the networking software
built into your Windows operating system in order to function. If your
computer has never been connected to a network this networking software may
not be installed however. For this reason Greenstone comes with some
networking software of it's own that it will use if it can't find any
installed on your computer.

<p>When you click the &quot;Enter Library&quot; button, Greenstone first
checks to see if your computer has it's own networking software. If it
does, it starts up using that, if not it starts up using it's own
networking software.</p>

<p>When you click the &quot;Restricted Version&quot; button, Greenstone
doesn't bother checking your system for networking software, it just goes
ahead and uses it's own.</p>

<p>The catch is that there are several limitations with using the
Greenstone supplied networking software. The most important limitations are
that the local library won't be accessible from the network if run in this
way (that is, it really will be &quot;local&quot; to the machine on which
it's running) and that it must use a Netscape web browser. Using your
computer's built-in networking software is therefore the prefered
option.</p>
}

_t226_ {
Since Greenstone will automatically use it's own networking software if it
can't find any installed on your computer it should not normally be
necessary to run the &quot;Restricted Version&quot; explicitly.

<p>Times when it may be necessary are.</p>
<ul>
<li>If your computer's networking software has been installed incorrectly.</li>
<li>If Windows keeps attempting to dial up your internet service provider
when you click the &quot;Enter Library&quot; button.</li>
</ul>
}

_t227_ {
No you don't need to be online. This is caused by the webserver built into
Greenstone's local library sending a message to your computer's networking
software to make sure it's functioning correctly. On many Windows systems
this causes the familiar dial up dialog box to appear. In most situations
you can simply cancel the dialog box and (if required) press your browser's
<i>reload</i> button to continue.

<p>If this does not solve the problem, try starting the local library by
clicking the &quot;Restricted Version&quot; button rather than the
&quot;Enter Library&quot; button. See the discussion above on the
differences between the standard and restricted versions of the local
library for further details.</p>
}

_t228_ {
<ol>
<li>Check your web browser's internet proxy settings and turn proxies off (use
<i>Edit preferences</i> on Netscape or <i>Internet options</i> on
Explorer).</li>

<li>If Internet Explorer gives a message saying "The page cannot be
displayed" and "Cannot find server or DNS error" at the bottom of the
page, check in your network settings that your computer's name is set
up correctly. For example, if there is a DNS suffix entered in your
TCP/IP properties (in the Control Panel), make sure that your host
name and suffix are correct for your computer. If the server is running
correctly, you should be able to connect by visiting
<a href="http://127.0.0.1/">http://127.0.0.1/</a> in a web browser on the
same machine that the local library is running on.</li>

</ol>
}

_t229_ {
Collections like those at <a href="http://www.nzdl.org">www.nzdl.org</a>
will soon be made available for download.
}

_t230_ {
The initial username required here is <i>admin</i>.

<p>If you installed Greenstone using the InstallShield installer on Windows
or the Install.sh script on Unix you should have been asked to set a
password during the installation procedure.</p>

<p>If you didn't, don't worry, the password defaults to being
<i>admin</i>.</p>

<p>So if you don't know what to enter you should try username =
<i>admin</i>, password = <i>admin</i>.<p>
}

_t231_ {
This may be caused by the URL becoming too long for your web
browser. Because Greenstone currently stores all state information in the
URL, if you do a search for a long phrase the URL can become very
long. Different browser's on different platforms have different maximum URL
lengths but in general it seems that Netscape can handle longer URLs than
can Microsoft Internet Explorer.

<p>There is very little you can do to avoid this problem with the way
Greenstone is currently implemented (aside from not searching for long
phrases). Future versions of Greenstone may store some state information on
the server rather than in the URL but this has yet to be implemented.</p>
}


#######################################################################

package faqbuild

_t233_ {
The Collector is a web interface for building new collections, altering or
deleting existing collections, and exporting existing collections to
stand-alone CD-ROMs. The Collector is a standard part of a Greenstone
installation. To begin using the Collector, click the &quot;The
Collector&quot; button on your Greenstone home page. For further details on
using the Collector see the <a href="_httppagex_(docs)">Greenstone User's
Guide</a>.
}

_t234_ {
It's occasionally preferable to build your Greenstone collections from the
command line rather than from the Collector. This allows you greater
control over how your new collection turns out. See the <a
href="_httppagex_(docs)">Greenstone Developer's Guide</a> for detailed step
by step instructions on building collections from the command line.
}

_t235_ {
Are you running Norton Anti-Virus? There are some incompatibilities between
Norton and the Greenstone collection building process that cause
unpredictable things to happen if you build your collection while Norton is
running. Try disabling Norton and rebuilding the collection.

<p>If you do not have Norton or disabling Norton does not solve the problem
please <a href="_httppagex_(support)">contact us</a> for further help.</p>
}

_t236_ {
If you downloaded Greenstone from the web you will not have all the
components required to make the &quot;export to CD-ROM&quot; function
work. These extra components have been made available in a separate
download which you can get from the <a
href="_httppagex_(download)#packages">download</a> page.
}

_t237_ {
Are you using a Netscape web browser with the local library? If so, try
using Internet Explorer instead. There are some socket connection problems
that show up on Windows 2000 when using Netscape.
}

_t238_ {
The Organizer (also called the &quot;Collection Organizer&quot;) is a
Windows utility used for automatically generating some of the configuration
files (metadata.xml, sub.txt etc.) used by complex Greenstone collections. 
}

_t239_ {
From the <a href="_httppagex_(download)#utilities">download</a> page.
}

_t240_ {
There are several reasons that the collector might fail to build a
collection and the error messages it produces are not always very helpful.

<p>If you changed the default configuration during the <i>configure
collection</i> stage you'll need to make sure the changes were valid. For
example, if you added a new <i>classify</i> or <i>plugin</i> line you'll
need to make sure that the classifier and/or plugin names and arguments are
all correct. If they're not the collector will fail. A good test is to
build your collection without changing the configuration. If it builds ok
with the default configuration but fails after you change the configuration
you'll need to look closely at the changes you're making.</p>

<p>Another good thing to do if having problems with the collector is to
build your collection from the command line instead. You'll get much more
feedback to help debug problems when building in this way. For details on
how to build a collection from the command line see the <a
href="_httppagex_(docs)">Greenstone developer's guide</a>.</p>
}

_t241_ {
The collect.cfg files for many of the collections at <a
href="http://www.nzdl.org">www.nzdl.org</a> have been made available <a
href="_httppagex_(colcfg)">here</a>.
}

_t242_ {
The <a href="_httpdocsdir_/mgpp_user.pdf">MGPP user manual</a> gives some
instructions.
}

_tfaqbuild11body_ {
To create and add the new buttons for a new classifier, there are several macro files that need to be edited. This is an example for the Countries metadata. <i>Countries</i> is the metadata name (or buttonname), <i>count</i> is the short form used in image names, <i>countries</i> is the text that appears on the nav bar buttons and the green title.
<p>
These lines should all be put next to the other ones ones of the same type. Use Title as an example to search for the approriate place to insert.
<p>
<i>base.dm:</i>
<br>
<br>\_Countrieswidth\_ \{\_widthcountx\_ \}

<br>\_imageCountries\_ \{\_gsimage\_(\_httpbrowseCountries\_,\_httpicontcountof\_,\_httpicontcounton\_,countries,\_textimageCountries\_)\}
<br>\_icontabCountriesgreen\_ \{&lt;img 
src="\_httpicontcountgr\_" width=\_widthtcountx\_ border=0&gt;\}
<br>\_icontabCountriesgreen\_[v=1] \{\_texticontabCountriesgreen\_ \}
<p>
<i>document.dm:</i>
<br>
<br>\_textCountriespage\_ \{\_texticonhcount\_ \}

<br>\_iconCountriespage\_ \{&lt;img src="\_httpiconhcount\_" width="\_widthhcount\_"
height="\_heighthcount\_"&gt;\}
<br>\_iconCountriespage\_ [v=1] \{&lt;h2&gt;\_texticonhcount\_&lt;/h2&gt;\}

<p>
<i>english.dm:</i>
<br>
<br>\_textimageCountries\_ \{Browse by countries\}
<br>\_texticontabCountriesgreen\_ \{Countries\}
<br>\_texticonhcount\_ \{Countries\}
<br>\_textCountriesshort\_ \{access publications by country\}
<br>\_textCountrieslong\_ \{&lt;p&gt;You can &lt;i&gt;access publications by country&lt;/i&gt; by
pressing the &lt;i&gt;countries&lt;/i&gt; button. This brings up a list of countries. \}
<br>
<br>## "countries" ## nav\_bar\_button ## tcount ##
<br>\_httpicontcountgr\_ \{\_httpimg\_/tcountgr.gif\}
<br>\_httpicontcountof\_ \{\_httpimg\_/tcountof.gif\}
<br>\_httpicontcounton\_ \{\_httpimg\_/tcounton.gif\}
<br>\_widthtcountx\_ \{87\}

<br>## "countries" ## green_title ## h_count ##
<br>\_httpiconhcount\_ \{\_httpimg\_/h\_count.gif\}
<br>\_widthhcount\_ \{200\}
<br>\_heighthcount\_ \{57\}


<p>
The images that are needed are the nav bar images, and the title image with the green bar in the background. There are 3 nav bar images: <i>tcountgr.gif</i> is the green one and <i>tcounton.gif</i> and  <i>tcountof.gif</i> are the two yellow ones for the rollover effect.
<i>h_count.gif</i> is the title image.

<p>These images can be generated by copying the two ## blocks from above into a temp file and running translate.pl on it eg.

<br>translate.pl -language_symbol en temp.dm

<p>To add the images in other languages, you need to edit the appropriate language macro file, and add the same items as for english.dm. And run the translate script to generate the images.
<p>English versions of the images should be placed in the $GSDLHOME/images directory, while other language versions should be placed in the appropriate subdirectory of $GSDLHOME/images, for example $GSDLHOME/images/fr for french images.
}

#######################################################################

package faqplugins


# base puts in surrounding <p> and </p>, so skip first and last ones
#
_metadata_ {

"Default" means that the metadata fields will be automatically assigned (or
extracted if possible), while the "Available fields" lists other items
of metadata that the plugin may be able to assign based on any arguments
given to that plugin in the <tt>collect.cfg</tt> file.
All plugins are derived from BasPlug, and have following metadata fields:

<table border="1">
<tr>
  <th>  </th>
  <th> Default fields </th>
  <th> Available fields </th>
</tr>
<tr>
  <td> BasPlug </td>
  <td> Language, Encoding, Source </td>
  <td> FirstNNNN, kea, Acronym </td>
</tr>
</table>
</p>

<p>
In addition, many plugins have additional fields available:
<table border="1">

<tr>
  <th> Plugin name </th>
  <th> Default fields </th>
  <th> Available fields </th>
</tr>

<tr>
  <td> BibTexPlug </td>
  <td> Title, Creator, Abstract, Author, Booktitle, Chapter, Copyright, Date,
       Edition, Editor, EntryType Journal, Keywords, Month, Note, Number,
       Pages, Publisher, PublisherAddress, Volume, Year </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td> DBPlug </td>
  <td>&nbsp;</td>
  <td> (arbitrary metadata field names based on Database configuration file)
  </td>
</tr>

<tr>
  <td> EMAILPlug </td>
  <td>  Date, DateText, From, FromAddr, FromName, Headers, Subject,
        Title (based on subject, from, and date), To
 </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td> ExcelPlug </td>
  <td>&nbsp;</td>
  <td> (all fields as in HTMLPlug) </td>
</tr>

<tr>
  <td> HTMLPlug </td>
  <td> Title, URL </td>
  <td> Author, Creator, Email (others as found in the <tt>-metadata_fields</tt> option) </td>
</tr>

<tr>
  <td> ImagePlug </td>
  <td> Image, ImageHeight, ImageSize, ImageType, ImageWidth, ScreenHeight,
        screenicon, ScreenSize, ScreenType, ScreenWidth, Source, srclink,
        srcicon, Thumb, ThumbHeight, ThumbType, ThumbWidth </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td> IndexPlug </td>
  <td> as in the <tt>index.txt</tt> file </td>
  <td> (use metadata.xml files instead of using this plugin) </td>
</tr>

<tr>
  <td> MARCPlug </td>
  <td> Creator, Description, MarcIdentifier, MarcSource, URL, Publisher,
       Relation, Rights, Subject, Title, Type </td>
  <td> (Metadata fields as in the <tt>marctodc.txt</tt> file) </td>
</tr>

<tr>
  <td> OAIPlug </td>
  <td> URL, (all metadata in <tt>.oai</tt> markup file) </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td> PDFPlug </td>
  <td>&nbsp;</td>
  <td> (all fields in HTMLPlug) </td>
</tr>

<tr>
  <td> PPTPlug </td>
  <td>&nbsp;</td>
  <td> (all fields in HTMLPlug) </td>
</tr>

<tr>
  <td> PSPlug </td>
  <td> Title </td>
  <td> Date, Pages, (all fields in TextPlug) </td>
</tr>

<tr>
  <td> ReferPlug </td>
  <td> Abstract, BookConfOnly, Booktitle, Copyright, Creator, Date, Editor,
       Keywords, Journal, JournalsOnly, Number, Pages, Publisher,
       Publisheraddr, Report, Title, Volume  </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td> RTFPlug </td>
  <td>&nbsp;</td>
  <td> (all fields in HTMLPlug) </td>
</tr>

<tr>
  <td> SRCPlug </td>
  <td> Title, filename, includes, class, classdecl </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td> TEXTPlug </td>
  <td> Title </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td> UnknownPlug </td>
  <td> (as given in the <tt>-assoc_field</tt> plugin argument) </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td> WordPlug </td>
  <td>&nbsp;</td>
  <td> (all fields in HTMLPlug) </td>
</tr>

</table>
</p>

<p>See section two of the _docs:developersguide_ for information about
options to plugins, or run the <tt>pluginfo.pl</tt> command on the
plugin name after setting up your environment for Greenstone.
(For example, "<tt>perl&nbsp;-S&nbsp;pluginfo.pl&nbsp;BasPlug</tt>".)
</p>

<p>
In addition, every document can be manually assigned arbitrary metadata
fields and values through use of <tt>metadata.xml</tt> files, as discussed
in the manual.
}

# base puts in surrounding <p> and </p>, so skip first and last ones
#
_pdfproblems_ {
PDF is a "page description language". This means that the document contains
objects and commands such as "draw this text here" and "draw this
image here".
</p>

<p>
Greenstone uses an external program called "<tt>pdftohtml</tt>" to
extract text out of PDF files. Sometimes, there is no text that can be
extracted. This often depends on how the PDF was created.

<ol>
<li>Adobe Acrobat Writer can be used to create PDFs from paper
documents that are scanned in by a scanner. In this case, the PDF file
contains images of text, rather than computer-readable text. Therefore,
<tt>pdftohtml</tt> cannot find any text to extract.</li>

<li>Some programs (such as older versions of <tt>GNU ghostscript</tt>,
which is used by <tt>ps2pdf</tt> on Unix computers) sometimes create
"bitmap fonts", which means that every character in the document is
really an image rather than a computer readable letter. The
<tt>LaTeX</tt> type-setting program sometimes does this when the
"Computer Modern Roman" font is used.</li>

<li>Certain characters and character combinations may be extracted incorrectly,
depending on the program that generated the PDF file. For example, "ligatures"
such as "fi", "fl", "ff" and "ffl" are often rendered using a special glyph
rather than as individual characters, and this information may be lost in
the textual representation. Also, some PDF generating programs may not
correctly encode accented characters. For example, to draw a lowercase "u"
with an umlaut accent, LaTeX draws a "u" and then draws an umlaut accent over
it. This means that <tt>pdftohtml</tt> will extract two separate characters
('¨' and 'u') rather than a single accented character (ü).</li>

<li>PDF contains pieces of text, and coordinates for where that text
should be displayed. This means that <tt>pdftohtml</tt> may
incorrectly guess the order that the text fragments are supposed to
occur in. For example, for text that is in two or more columns, the text
may be extracted as the first sentence of each column, then the second
sentence of each column, and so on. In this case, the extracted text
is still usable for indexing purposes, but should not be displayed.

In this case, a format statement should be added to the <tt>collect.cfg</tt>
file to provide a link to the original PDF file but not to the extracted
text, such as:
<center>
<small><tt>format SearchVList "&lt;td valign=top&gt;[srclink][srcicon][/srclink]&lt;/td&gt; &lt;td&gt;[srclink][Title][/srclink]&lt;/td&gt;"</tt></small>
</center>
</li>

<li>Because of the way that images are embedded in PDF files,
<tt>pdftohtml</tt> occasionally extracts an image upside-down, or mirrored.
This appears to be a bug in the program.</li>

</ol>
}

#######################################################################

package cvs

_cvstitle_ {CVS}

_cvscheckout_ {
To check out the Greenstone source code from our server do the following:
}

_cvsupdate_ {
Once you have the code you may update it at any time by changing to the
gsdl directory and typing:
}

_notice_ {Note about versions}

_recentversion_ {Make sure that your version of CVS is 1.11 or later. Some
operating systems (including Mac OS X and Solaris) have older versions
that can not connect to a non-default port. This causes an error such
the following:}

_download_ {You can download pre-compiled packages of recent versions of CVS
from <a href="http://ftp.cvshome.org/release/binary/">http://ftp.cvshome.org/release/binary/</a>.}
#######################################################################

package colcfg

_t246_ {Collection Configuration File Samples}

_t247_ {collect.cfg file}

_t248_ {Acronym Extraction Demo}

_t249_ {Agricultural Information Modules}

_t250_ {Arabic Collection}

_t251_ {Bibliotheque pour le Developpement}

_t252_ {Chinese Demonstration collection}

_t253_ {Collection on Critical Global Issues (2nd edition)}

_t254_ {Colt Bibliography}

_t255_ {Computer Science Bibliographies}

_t256_ {The Computists' Weekly}

_t257_ {Crystal}

_t258_ {FAO document repository}

_t259_ {FAO on the Internet (1998)}

_t260_ {Food and Nutrition Library 1.1}

_t261_ {Greenstone Archives}

_t262_ {HCI Bibliography}

_t263_ {Humanity Development Library}

_t264_ {Indigenous Peoples}

_t265_ {Kiwi Aircraft Images}

_t266_ {Language Extraction Demo}

_t267_ {Medical and Health Library}

_t268_ {MSWord and PDF Demonstration}

_t269_ {Music Videos}

_t270_ {OAI Plugin demo}

_t271_ {Poverty Alleviation}

_t272_ {Project Gutenberg}

_t273_ {TidBITS}

_t274_ {Virtual Disaster Library}

_t275_ {Women's History}

_t276_ {World Environment Library}

_t277_ {Youth Oral History}


#######################################################################

package intn

_t278_ {Internationalizing Greenstone}

_t279_ {There are several different levels of Greenstone language support.}

_t280_ {Core languages}

_t281_ {
English, French, Spanish, and Russian are Greenstone core languages.  For
these there is a full translation, including interface, documentation,
sample collections, installation instructions. They have been produced in
conjunction with UNESCO and are distributed with all versions of
Greenstone, including the CD-ROM version. They are updated whenever the
CD-ROM is re-issued (so far, approximately once a year).
}

_t282_ {Full translation}

_t283_ {
Full translations of Greenstone include the interface and all the
documentation. Translating the documentation is a big job, and so far,
apart from the UNESCO-supported CD-ROM project, there is only one example
-- Kazakh. We would like to encourage more people to do full translations.
}

_t284_ {Maintained interface-only translation}

_t285_ {
&quot;Maintained&quot; translations include the language interface and a
designated person who updates it. The Greenstone interface has been
translated into many languages. However, the system is growing and language
interfaces become out-dated as new features are added to the software. For
each language, we are hoping to find a volunteer who undertakes to
periodically maintain the interface for that language.
}

_t286_ {Unmaintained interface-only translation}

_t287_ {
The interface comes in two parts: a &quot;core&quot; part that contains the
basic digital library interface, and an &quot;auxiliary&quot; part that
that concerns functionality that is generally only used by the library
maintainer (e.g. the Administration pages and the Collector). Many language
interfaces just contain the core part; since the core changes relatively
slowly these are mostly fairly complete. However, some unmaintained
translations are rather out of date.
}

_t288_ {In progress}

_t289_ {For some languages, the translation process is still in progress.}

_t290_ {
When you download Greenstone, the core language interfaces (English,
French, Spanish and Russian) come automatically. The other languages are
provided in a separate package which can be <a
href="http://sourceforge.net/project/showfiles.php?group_id=12123&release_id=173035">downloaded</a>
and installed as required. This makes the downloads smaller, and for those
who do not need all the languages Greenstone is slightly smaller and
faster.
}

_tnzdl_ {NZDL Project}

_tunesco_ {UNESCO}

_t291_ {Here is a summary of the languages currently supported:}

_t292_ {Language}

_t293_ {Status}

_t294_ {Maintainer}

_t302_ {core}

_t313_ {full}

_t300_ {maintained}

_t296_ {unmaintained}

_t298_ {in progress}

_t295_ {Arabic}

_armenian_ {Armenian}

_lng5_ {Bosnian}

_t297_ {Chinese}

_lng4_ {Croatian}

_t299_ {Czech}

_t301_ {English}

_t303_ {Dutch}

_t304_ {French}

_lng1_ {Finnish}

_t305_ {Galician}

_t306_ {German}

_t307_ {Greek}

_t308_ {Hebrew}

_lng2_ {Hindi}

_t309_ {Indonesian}

_t310_ {Italian}

_t311_ {Japanese}

_lng3_ {Kannada}

_t312_ {Kazakh}

_t314_ {Maori}

_t315_ {Nepalese}

_t316_ {Portuguese (Brazil)}

_t317_ {Portuguese (Portugal)}

_t318_ {Russian}

_t319_ {Serbian}

_t320_ {Spanish}

_t321_ {Thai}

_t322_ {Turkish}

_t323_ {Ukrainian}

_t324_ {Vietnamese}

_t325_ {Information for language maintainers}

_t326_ {
There are two methods for working with Greenstone language interface (apart
from editing the macro files directly, which is not recommended).
}

_t327_ {Spreadsheet}

_t328_ {
We send you an Excel spreadsheet that contains all the English text
strings, with empty cells for the translation. You fill it in and return
it, and we install it in Greenstone. This method is probably the best for
large-scale translation, but requires Microsoft software.
}

_t329_ {Greenstone Translator's Interface}

_t330_ {
The Greenstone translator's interface is a Web tool that presents the
English text strings needing translation, and provides boxes for entering
the translated text. Once submitted, translations are stored in the
appropriate language file. The system automatically determines which text
strings need translating or updating, and can easily be used to update a
language interface.
}

_t331_ {
Generally it is best to use the spreadsheet to create the basic interface
and the translation interface to fine tune or update it in the future. In
either case you need a username and password, which we supply to designated
Greenstone language maintainers. If you are interested, you can play with
an open version of the system by logging into <a
href="http://www.nzdl.org/cgi-bin/translate/library">this page</a> with
username "guest" and no password, though if you do this you cannot save the
results.
}

_t332_ {
To register as a designated Greenstone language maintainer, please send a
request to Michael Dewsnip (<a
href="mailto:mdewsnip@cs.waikato.ac.nz">mdewsnip@cs.waikato.ac.nz</a>). As
soon as you receive your password please change it by going to <a
href="http://www.nzdl.org/cgi-bin/translate/library">this page</a>,
choosing the administration option, clicking the "change password" option
on the left hand side, and following the instructions.
}

_t333_ {
As soon as you log in, the front page of the translator's interface is
presented to you. Read the instructions and start translating! You don't
have to translate all the strings in one session -- you can stop and
continue work later.  There is a link at the bottom of each page under the
"submit" button that allows you to view a Greenstone site in the language
you have chosen, and see your translations take effect. (However, the
images are not yet created as you go.)
}

_t334_ {Language-dependent text in Greenstone}

_t335_ {
For your information and interest, the language-dependent text in
Greenstone comes in these places. We do not attempt to translate the
comments that appear in program code, scripts, or configuration files. Our
guideline is that non-programming users doing standard things with
Greenstone should be able to work entirely in their own language.
}

_t336_ {User interface}

_t337_ {Core}

_t338_ {Text used in the basic digital library interface for Greenstone}

_t339_ {On-line help for the basic digital library interface}

_t340_ {Auxiliary}

_t341_ {Text that is generally directed at the library maintainer (e.g. the
Administration pages and the Collector)}

_t342_ {Text used in the Greenstone Librarian Interface}

_t343_ {Text in scripts for running (and compiling) the GLI}

_t344_ {The gli.txt help file}

_t345_ {On-line help for the GLI}

_t346_ {Collection building}

_t347_ {Option descriptions and error messages in perl scripts, and plugins
and classifiers}

_t348_ {Images}

_t349_ {Text strings that appear in images that form part of the user
interface}

_t350_ {Documentation}

_t351_ {Manuals}

_t352_ {Installer's guide (35 pp.)}

_t353_ {User's guide (50 pp.)}

_t354_ {Developer's guide (115 pp.)}

_t355_ {From Paper to Collection (45 pp.)}

_t356_ {Installation}

_t357_ {Unix}

_t358_ {Text in install.sh and setup.bash.}

_t359_ {We do not translate text strings that appear during the
configuration process (./configure), because people installing programs on
Unix usually do so using English.}

_t360_ {Windows}

_t361_ {Text in the InstallShield installer used for Greenstone, and
setup.bat.}

_t362_ {InstallShield comes with many different languages, and we are not
responsible for these translations.}

_t363_ {Both}

_t364_ {The install.txt file}

_t365_ {Licence}

_t366_ {
The GNU General Public Licence is written in English, and official
translations into other languages do not exist. However, an unofficial
translation is appended to the licence text that is presented during the
installation process.
}

_t367_ {Sample Collections}

_t368_ {Collection configuration files for sample collections supplied with
Greenstone.}


