package abexpl

_imagethispage_ {}
_pagetitle_ {English Abstracts of the Māori Language Newspapers}

_content_ {
<center>
_navigationbar_
</center>
<h2>English Abstracts of the Māori Language Newspapers</h2>

<p><i>The English abstracts are being created by a research team at
the Department of Maori Studies of the University of Auckland. This
translation work began in 1999 and was funded for a three-year period
by grants from the Royal Society of New Zealand's Marsden Fund and the
Trustees of the National Library of New Zealand. The research team
over that period comprised Professor Ngapare Hopa, Dr Jane McRae,
Jenifer Curnow, and the postgraduate researchers who wrote the English
abstracts - Tane Mokena, Dinah Paul, Hazel Petrie, Yvonne Sutherland,
Lyn Waymouth. The team worked in association with the History of Print
Culture in New Zealand, the Alexander Turnbull Library, and the
Computer Science Department of the University of Waikato where
Professors Mark Apperley and Ian Witten, Te Taka Keegan and others are
carrying out the on-line conversion of the newspapers and English
abstracts. Specific help with production of the abstracts is
acknowledged from Hineira Woodard for translation queries, Stephen
Innes of the University of Auckland Library's New Zealand &amp;
Pacific Collection for access to research material, and Roberta Wilson
for assistance with computers. As further funding is obtained, more
English abstracts will be included on the website.</i></p>
      
<h3>Introduction &amp; Conventions</h3>

<p>We have created the English abstracts to facilitate use of the
Maori-language newspapers by those who do not read Maori. They are
designed to guide readers and researchers to particular articles or
information and to give an impression of a whole newspaper
issue. Every item in an issue is noted but the abstracts are not an
account of the entire content. They briefly summarise the main
subjects of long items, such as editorials, articles, and letters, and
record, sometimes by a complete translation, small items such as
notices, advertisements, short news reports. In sum the abstracts
represent a very abbreviated form of a newspaper, and so to ensure a
complete reading of any item you will need to refer to, or seek
translation of, the Maori text. We suggest, therefore, that you do not
quote from the abstracts.</p>

<p>The abstracts follow the order of items in the newspapers and
include the titles and subtitles from them. Apart from occasional
interpolations in square brackets to clarify, inform or query, the
abstracts report only what is in the newspaper. Where English
translation is published in the paper, this is noted after a brief
statement of content. Abbreviations used are listed below.</p>

<p>A few Maori words remain in the abstracts, with translation in
brackets. These remain either because we regard them as key words for
researchers of Maori language and culture (words such as waiata,
whakapapa, whakataukī), or because there is no equivalent in
English for the word or the word has different meanings in different
contexts (words such as mana, mākutu, tohunga, pā). We
have used the Maori word 'Pakeha' in the abstracts to refer to those
in New Zealand who are not Maori, because this use is common in the
newspapers and in current New Zealand speech.</p>

<p>Maori names - personal, place and tribal - have been written
according to modern spelling. Long vowels have been marked in all
names, as far as these are known, on the basis of authorities such as
the Dictionary of New Zealand Biography, of unambiguous component
words in a name, or of common usage.  In the case of Pakeha whose
names have been transliterated to Maori, the translators have given
the original name only when it is evident who the person is; otherwise
the transliterated form remains.</p>

<p>We hope that you will find the abstracts of value to your research
and enjoyable for the window they open onto 19th and early 20th
century Maori life and New Zealand society. We have made every effort
to make accurate abstracts of the contents, but we remind you that
these are simply summaries. We have not given them the time or
research required for full and explicit translations. Given so many
newspapers, the very diverse content, and the historical context, we
may have overlooked some things and misjudged others.  If in your
reading you notice errors or omissions, we would be very grateful if
you would notify us by email (to j.mcrae@auckland.ac.nz) so that we
may correct them.</p>


<p>The following abbreviations have been used in the abstracts:</p>
<table border="0">
<tr valign="top"><td>CMS</td><td>Church Missionary Society</td></tr>
<tr valign="top"><td>WMMS</td><td>Wesleyan Methodist Missionary Society</td></tr>
<tr valign="top"><td>MHR</td><td>Member of the House of Representatives</td></tr>
<tr valign="top"><td>MP</td><td>Member of Parliament</td></tr>
<tr valign="top"><td>MLC</td><td>Member of the Legislative Council</td></tr>
</table>

<table border="0" width="_pagewidth_">
<tr><td align="right">
<small>Updated in August, 2002</small>
</td></tr>
</table>
}
